Content
List content items
GET /v1/content
List all content items visible to the requesting user.
Authenticated access from a user is required. If an “administrator” role is used, then all content items will be returned regardless of the visibility to the requesting user.
Information about the target environment is populated for users with “publisher” and “administrator” role; it is suppressed for viewers.
Parameters
| Name | Type | Description |
|---|---|---|
name |
string |
The content name specified when the content was created. Content names are unique within the owning user’s account, so a request that specifies a non-empty name and owner_guid will return at most one content item. |
owner_guid |
string |
The unique identifier of the user who owns the content. |
include |
string |
Comma-separated set of values indicating additional details to include in the response.
|
Responses
200: Successful response.
Array of objects:
The content object models all the “things” you may deploy to Posit Connect. This includes Shiny applications, R Markdown documents, Jupyter notebooks, Plumber APIs, FastAPI and Flask APIs, Python apps, plots, and pins.
Name
|
Type
|
DescriptionThe unique identifier of this content item. Example: |
|
name |
string |
A simple identifier. Allows alpha-numeric characters, periods ( Example: |
|
title |
string|null |
The title of this content. Example: |
|
description |
string |
A rich description of this content. Example: |
|
access_type |
string |
Access type describes how this content manages its viewers. The value Access types may be restricted by the Connect configuration or the product license. Example: |
|
locked |
boolean |
Whether or not the content is locked. Example: |
|
locked_message |
string |
A custom message that is displayed by the content item when locked. It is possible to format this message using Markdown. Example: |
|
connection_timeout |
integer|null |
Maximum number of seconds allowed without data sent or received across a client connection. A value of Example: |
|
read_timeout |
integer|null |
Maximum number of seconds allowed without data received from a client connection. A value of Example: |
|
init_timeout |
integer|null |
The maximum number of seconds allowed for an interactive application to start. Posit Connect must be able to connect to a newly launched application before this threshold has elapsed. When Example: |
|
idle_timeout |
integer|null |
The maximum number of seconds a worker process for an interactive application to remain alive after it goes idle (no active connections). When Example: |
|
max_processes |
integer|null |
Specifies the total number of concurrent processes allowed for a single interactive application per Posit Connect node. When Example: |
|
min_processes |
integer|null |
Specifies the minimum number of concurrent processes allowed for a single interactive application per Posit Connect node. When Example: |
|
max_conns_per_process |
integer|null |
Specifies the maximum number of client connections allowed to an individual process. Incoming connections which will exceed this limit are routed to a new process or rejected. When Example: |
|
load_factor |
number|null |
Controls how aggressively new processes are spawned. When Example: |
|
memory_request |
integer|null |
The minimum amount of RAM this content needs when executing or rendering, expressed in bytes. This is used when running in an off-host execution configuration to determine where the content should be run. When Example: |
|
memory_limit |
integer|null |
The maximum amount of RAM this content will be allowed to consume when executing or rendering, expressed in bytes. If the process tries to use more memory than allowed, it will be terminated. When Example: |
|
cpu_request |
number|null |
The minimum amount of compute power this content needs when executing or rendering, expressed in “CPU Units”, where 1.0 unit is equivalent to 1 physical or virtual core. Fractional values are allowed. This is used when running in an off-host execution configuration to determine where the content should be run. When Example: |
|
cpu_limit |
number|null |
The maximum amount of compute power this content will be allowed to consume when executing or rendering, expressed in “CPU Units”, where 1.0 unit is equivalent to 1 physical or virtual core. Fractional values are allowed. This is used when running in an off-host execution configuration. If the process tries to use more CPU than allowed, it will be throttled. When Example: |
|
amd_gpu_limit |
integer|null |
The number of AMD GPUs that will be allocated by Kubernetes to run this content. This is used when running in an off-host execution configuration. When Example: |
|
nvidia_gpu_limit |
integer|null |
The number of NVIDIA GPUs that will be allocated by Kubernetes to run this content. This is used when running in an off-host execution configuration. When Example: |
|
service_account_name |
string|null |
The name of the Kubernetes service account that is used to run a particular piece of content. It must adhere to valid Kubernetes service account naming rules. Connect must be configured to run with If this value is defined and Connect is configured with Only administrators and publishers can view this value. Only administrators can set or change this value. Example: |
|
default_image_name |
string|null |
The default image that will be used when none is defined by the bundle’s manifest. A specific image may be selected by setting the If either A Use the Example: |
|
default_environment_guid |
string (uuid)|null |
The default execution environment that will be used when none is defined by the bundle’s manifest. A specific execution environment may be selected by setting the If either A Use the Example: |
|
created_time |
string (date-time) |
The timestamp (RFC3339) indicating when this content was created. Example: |
|
last_deployed_time |
string (date-time) |
The timestamp (RFC3339) indicating when this content last had a successful bundle deployment performed. Example: |
|
bundle_id |
string|null |
The identifier for the active deployment bundle. Automatically assigned upon the successful deployment of that bundle. Example: |
|
app_mode |
string |
The runtime model for this content. Has a value of Valid values are:
Example: |
|
content_category |
string |
Describes the specialization of the content runtime model. | Automatically assigned upon the first successful bundle deployment. | | The content_category field refines the type of content specified by | app_mode. It is empty by default. The rsconnect R package may assign | a value when analyzing your content and building its manifest and | bundle. Plots (images created in the RStudio IDE and presented in the | “Plots” pane) have an app_mode of static and receive a | content_category of plot to distinguish them from other HTML | documents. Pinned static data sets have an app_mode of static and a | content_category of pin. Multi-document R Markdown sites have an | app_mode of rmd-static and a content_category of site. | API content types (such as FastAPI, Flask, or Plumber) that serve as | MCP servers have a content_category of mcp. The mcp category is | auto-detected on first deploy but can also be set or cleared via | PATCH /v1/content/{guid}. | | Example: site. | |
|
parameterized |
boolean |
True when R Markdown rendered content allows parameter configuration. Automatically assigned upon the first successful bundle deployment. Applies only to content with an Example: |
|
environment_guid |
string (uuid)|null |
The guid of the execution environment used to run this content. Content running locally on the same server as Connect will have either a A Example: |
|
cluster_name |
string|null |
The location where this content runs. Content running on the same server as Connect will have either a A Example: |
|
image_name |
string|null |
The name of the container image used to run this content in containerized environments such as Kubernetes. Content running locally on the same server as Connect will have either a A Example: |
|
r_version |
string|null |
The of R interpreter associated with this content. A Example: |
|
py_version |
string|null |
The version of Python associated with this content. A Example: |
|
quarto_version |
string|null |
The version of Quarto associated with this content. A Example: |
|
node_version |
string|null |
The version of Node.js associated with this content. A Example: |
|
r_environment_management |
boolean|null |
Indicates whether or not Connect is managing an R environment and has installed the required packages for this content. A Example: |
|
default_r_environment_management |
boolean|null |
Indicates whether or not Connect should create and manage an R environment (installing required packages) for this content. When A This value is ignored if the server setting Example: |
|
py_environment_management |
boolean|null |
Indicates whether or not Connect is managing a Python environment and has installed the required packages for this content. A Example: |
|
default_py_environment_management |
boolean|null |
Indicates whether or not Connect should create and manage a Python environment (installing required packages) for this content. When A This value is ignored if the server setting Example: |
|
run_as |
string|null |
The UNIX user that executes this content. When Only administrators can change this value. If Example: |
|
run_as_current_user |
boolean |
Indicates that Connect should run processes for this content item under the Unix account of the user who visits it. Content accessed anonymously will continue to run as the specified Connect must be configured to use PAM authentication with the server settings This setting only applies to application content types (Shiny, Dash, Streamlit, Bokeh, and Panel). Only administrators can change this value. Example: |
|
metrics_collection_enabled |
boolean|null |
Controls whether per-job resource metrics (CPU, memory, connections) | are collected for this content item. | | When null, the content item inherits the server-wide default from | Applications.MetricsCollectionEnabled. Explicit true or false | values override the server default. | | Metrics can be retrieved via the | GET /v1/content/{guid}/jobs/{key}/metrics endpoint. | Example: true. | |
|
notify_on_share |
boolean|null |
Controls whether email notifications are sent by default when users or groups are added as collaborators or viewers. When Example: |
|
trace_collection_enabled |
boolean |
Whether per-job OpenTelemetry traces are collected for this content item. Traces are collected only when both this field and the server setting Example: |
|
owner_guid |
string (uuid) |
The unique identifier of the user who created this content item. Automatically assigned when the content is created. Example: |
|
content_url |
string |
The URL associated with this content. Computed from the associated GUID for this content. Example: |
|
dashboard_url |
string |
The URL within the Connect dashboard where this content can be configured. Computed from the GUID for this content. Example: |
|
vanity_url |
string |
The vanity URL associated with this content item. Included in responses when the vanity URL is set and Example: |
|
app_role |
string |
The relationship of the accessing user to this content. A value of Example: |
|
bookmarked |
boolean|null |
Indicates whether the requesting user has bookmarked this content item. Included in responses when Example: |
|
schedules |
[object] |
Schedules associated with this content item. Included in responses when include=schedule is provided. |
|
schedules[].type |
string |
The schedule type. Example: |
|
schedules[].schedule |
object |
The recurrence rule in RFC5545 format. | |
schedules[].schedule.dtstart |
string |
The DTSTART component specifying when the schedule begins, including timezone information. Example: |
|
schedules[].schedule.rrules |
[string] |
An array of RRULE components defining the recurrence pattern. Example: |
|
schedules[].schedule.until |
string |
The UNTIL component specifying when the schedule ends, if applicable. Example: |
|
schedules[].next_run |
string (date-time)|null |
The next scheduled run time. Null if no future runs are scheduled. | |
schedules[].email |
boolean |
Whether email notifications are enabled for this schedule. Example: |
|
schedules[].timezone |
string |
The timezone for this schedule. Example: |
|
schedules[].start_time |
string (date-time)|null |
The start time of the schedule window. | |
schedules[].end_time |
string (date-time)|null |
The end time of the schedule window. Null if the schedule runs indefinitely. | |
schedules[].last_run |
object |
Information about the last scheduled run. | |
schedules[].last_run.job_key |
string |
The unique key of the job. Example: |
|
schedules[].last_run.status |
string |
The status of the last run. Example: |
|
schedules[].last_run.scheduled_time |
string (date-time)|null |
The scheduled time of the run. | |
schedules[].last_run.queued_time |
string (date-time)|null |
The time the run was queued. | |
schedules[].last_run.start_time |
string (date-time) |
The time the run started. | |
schedules[].last_run.end_time |
string (date-time)|null |
The time the run ended. Null if still running. | |
schedules[].last_run.run_duration_ms |
integer|null |
The duration of the run in milliseconds. Null if still running. Example: |
|
schedules[].last_run.exit_code |
integer|null |
The exit code of the job. Null if still running. Example: |
|
schedules[].variant |
object |
Variant information embedded in a schedule. | |
schedules[].variant.key |
string |
The variant key. Example: |
|
schedules[].variant.name |
string |
The variant name. Example: |
|
schedules[].variant.is_default |
boolean |
Whether this is the default variant. Example: |
|
id |
string |
The internal numeric identifier of this content item. Example: |
|
tags |
[object] |
Tags associated with this content item. Included in responses when include=tags is provided. Returns an empty array when content has no tags. |
|
tags[].id |
string |
The identifier for the tag. Example: |
|
tags[].name |
string |
The name of the tag. Example: |
|
tags[].parent_id |
string|null |
The identifier for the parent tag. If there is no parent_id, the tag is a top-level tag. Example: |
|
tags[].created_time |
string (date-time) |
The timestamp (RFC3339) indicating when the tag was created. Example: |
|
tags[].updated_time |
string (date-time) |
The timestamp (RFC3339) indicating when the tag was updated. Example: |
|
owner |
object |
Basic details about the owner of this content item. Included in responses when include=owner is provided. |
|
owner.guid |
string (uuid) |
The owner’s unique identifier. Example: |
|
owner.username |
string|null |
The owner’s username. Example: |
|
owner.first_name |
string|null |
The owner’s first name. Example: |
|
owner.last_name |
string|null |
The owner’s last name. Example: |
|
public_content_status |
string|null |
Validation status of public interactive content. When validation is required by licensing, this will be one of “ok”, “warning”, or “restricted”. If licensing does not require validation, it will be “unrestricted”; if licensing does not allow public interactive content, it will be “unlicensed”. If the app has not been made public, but public content is permitted, it will be “none”. Example: |
|
400: The requested operation is invalid.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
401: The requested operation requires authentication.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
403: You do not have permission to perform this operation.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
404: The requested object does not exist.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
500: A server error occurred.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
Create content item
POST /v1/content
Create a new content item.
Request body
The content fields that can be specified when creating a content item.
| Name | Type | Description |
|---|---|---|
name |
string |
A simple identifier. Allows alpha-numeric characters, periods ( Example: |
title |
string|null |
The title of this content. Example: |
description |
string |
A rich description of this content. Example: |
access_type |
string |
Access type describes how this content manages its viewers. The value Access types may be restricted by the Connect configuration or the product license. Enum: |
connection_timeout |
integer|null |
Maximum number of seconds allowed without data sent or received across a client connection. A value of Example: |
read_timeout |
integer|null |
Maximum number of seconds allowed without data received from a client connection. A value of Example: |
init_timeout |
integer|null |
The maximum number of seconds allowed for an interactive application to start. Posit Connect must be able to connect to a newly launched application before this threshold has elapsed. When Example: |
idle_timeout |
integer|null |
The maximum number of seconds a worker process for an interactive application to remain alive after it goes idle (no active connections). When Example: |
max_processes |
integer|null |
Specifies the total number of concurrent processes allowed for a single interactive application per Posit Connect node. When Example: |
min_processes |
integer|null |
Specifies the minimum number of concurrent processes allowed for a single interactive application per Posit Connect node. When Example: |
max_conns_per_process |
integer|null |
Specifies the maximum number of client connections allowed to an individual process. Incoming connections which will exceed this limit are routed to a new process or rejected. When Example: |
load_factor |
number|null |
Controls how aggressively new processes are spawned. When Example: |
default_r_environment_management |
boolean|null |
Indicates whether or not Connect should create and manage an R environment (installing required packages) for this content. When Example: |
default_py_environment_management |
boolean|null |
Indicates whether or not Connect should create and manage a Python environment (installing required packages) for this content. When Example: |
run_as |
string|null |
The UNIX user that executes this content. When Example: |
run_as_current_user |
boolean|null |
Indicates that Connect should run processes for this content item under the Unix account of the user who visits it. Content accessed anonymously will continue to run as the specified Example: |
memory_request |
integer|null |
The minimum amount of RAM this content needs when executing or rendering, expressed in bytes. When Example: |
memory_limit |
integer|null |
The maximum amount of RAM this content will be allowed to consume when executing or rendering, expressed in bytes. When Example: |
cpu_request |
number|null |
The minimum amount of compute power this content needs when executing or rendering, expressed in CPU Units, where 1.0 unit is equivalent to 1 physical or virtual core. Fractional values are allowed. When Example: |
cpu_limit |
number|null |
The maximum amount of compute power this content will be allowed to consume when executing or rendering, expressed in CPU Units. When Example: |
amd_gpu_limit |
integer|null |
The number of AMD GPUs allocated to run this content. When Example: |
nvidia_gpu_limit |
integer|null |
The number of NVIDIA GPUs allocated to run this content. When Example: |
service_account_name |
string|null |
The name of the Kubernetes service account used to run this content. Example: |
default_image_name |
string|null |
The default container image used when none is defined by the bundle’s manifest. Example: |
default_environment_guid |
string (uuid)|null |
The default execution environment used when none is defined by the bundle’s manifest. Example: |
metrics_collection_enabled |
boolean|null |
Controls whether per-job resource metrics are collected for this content item. When Example: |
notify_on_share |
boolean|null |
Controls whether email notifications are sent by default when users or groups are added as collaborators or viewers. When Example: |
trace_collection_enabled |
boolean|null |
Controls whether per-job OpenTelemetry traces are collected for this content item. When Example: |
Responses
200: Successful response.
The content object models all the “things” you may deploy to Posit Connect. This includes Shiny applications, R Markdown documents, Jupyter notebooks, Plumber APIs, FastAPI and Flask APIs, Python apps, plots, and pins.
Name
|
Type
|
DescriptionThe unique identifier of this content item. Example: |
|
name |
string |
A simple identifier. Allows alpha-numeric characters, periods ( Example: |
|
title |
string|null |
The title of this content. Example: |
|
description |
string |
A rich description of this content. Example: |
|
access_type |
string |
Access type describes how this content manages its viewers. The value Access types may be restricted by the Connect configuration or the product license. Example: |
|
locked |
boolean |
Whether or not the content is locked. Example: |
|
locked_message |
string |
A custom message that is displayed by the content item when locked. It is possible to format this message using Markdown. Example: |
|
connection_timeout |
integer|null |
Maximum number of seconds allowed without data sent or received across a client connection. A value of Example: |
|
read_timeout |
integer|null |
Maximum number of seconds allowed without data received from a client connection. A value of Example: |
|
init_timeout |
integer|null |
The maximum number of seconds allowed for an interactive application to start. Posit Connect must be able to connect to a newly launched application before this threshold has elapsed. When Example: |
|
idle_timeout |
integer|null |
The maximum number of seconds a worker process for an interactive application to remain alive after it goes idle (no active connections). When Example: |
|
max_processes |
integer|null |
Specifies the total number of concurrent processes allowed for a single interactive application per Posit Connect node. When Example: |
|
min_processes |
integer|null |
Specifies the minimum number of concurrent processes allowed for a single interactive application per Posit Connect node. When Example: |
|
max_conns_per_process |
integer|null |
Specifies the maximum number of client connections allowed to an individual process. Incoming connections which will exceed this limit are routed to a new process or rejected. When Example: |
|
load_factor |
number|null |
Controls how aggressively new processes are spawned. When Example: |
|
memory_request |
integer|null |
The minimum amount of RAM this content needs when executing or rendering, expressed in bytes. This is used when running in an off-host execution configuration to determine where the content should be run. When Example: |
|
memory_limit |
integer|null |
The maximum amount of RAM this content will be allowed to consume when executing or rendering, expressed in bytes. If the process tries to use more memory than allowed, it will be terminated. When Example: |
|
cpu_request |
number|null |
The minimum amount of compute power this content needs when executing or rendering, expressed in “CPU Units”, where 1.0 unit is equivalent to 1 physical or virtual core. Fractional values are allowed. This is used when running in an off-host execution configuration to determine where the content should be run. When Example: |
|
cpu_limit |
number|null |
The maximum amount of compute power this content will be allowed to consume when executing or rendering, expressed in “CPU Units”, where 1.0 unit is equivalent to 1 physical or virtual core. Fractional values are allowed. This is used when running in an off-host execution configuration. If the process tries to use more CPU than allowed, it will be throttled. When Example: |
|
amd_gpu_limit |
integer|null |
The number of AMD GPUs that will be allocated by Kubernetes to run this content. This is used when running in an off-host execution configuration. When Example: |
|
nvidia_gpu_limit |
integer|null |
The number of NVIDIA GPUs that will be allocated by Kubernetes to run this content. This is used when running in an off-host execution configuration. When Example: |
|
service_account_name |
string|null |
The name of the Kubernetes service account that is used to run a particular piece of content. It must adhere to valid Kubernetes service account naming rules. Connect must be configured to run with If this value is defined and Connect is configured with Only administrators and publishers can view this value. Only administrators can set or change this value. Example: |
|
default_image_name |
string|null |
The default image that will be used when none is defined by the bundle’s manifest. A specific image may be selected by setting the If either A Use the Example: |
|
default_environment_guid |
string (uuid)|null |
The default execution environment that will be used when none is defined by the bundle’s manifest. A specific execution environment may be selected by setting the If either A Use the Example: |
|
created_time |
string (date-time) |
The timestamp (RFC3339) indicating when this content was created. Example: |
|
last_deployed_time |
string (date-time) |
The timestamp (RFC3339) indicating when this content last had a successful bundle deployment performed. Example: |
|
bundle_id |
string|null |
The identifier for the active deployment bundle. Automatically assigned upon the successful deployment of that bundle. Example: |
|
app_mode |
string |
The runtime model for this content. Has a value of Valid values are:
Example: |
|
content_category |
string |
Describes the specialization of the content runtime model. | Automatically assigned upon the first successful bundle deployment. | | The content_category field refines the type of content specified by | app_mode. It is empty by default. The rsconnect R package may assign | a value when analyzing your content and building its manifest and | bundle. Plots (images created in the RStudio IDE and presented in the | “Plots” pane) have an app_mode of static and receive a | content_category of plot to distinguish them from other HTML | documents. Pinned static data sets have an app_mode of static and a | content_category of pin. Multi-document R Markdown sites have an | app_mode of rmd-static and a content_category of site. | API content types (such as FastAPI, Flask, or Plumber) that serve as | MCP servers have a content_category of mcp. The mcp category is | auto-detected on first deploy but can also be set or cleared via | PATCH /v1/content/{guid}. | | Example: site. | |
|
parameterized |
boolean |
True when R Markdown rendered content allows parameter configuration. Automatically assigned upon the first successful bundle deployment. Applies only to content with an Example: |
|
environment_guid |
string (uuid)|null |
The guid of the execution environment used to run this content. Content running locally on the same server as Connect will have either a A Example: |
|
cluster_name |
string|null |
The location where this content runs. Content running on the same server as Connect will have either a A Example: |
|
image_name |
string|null |
The name of the container image used to run this content in containerized environments such as Kubernetes. Content running locally on the same server as Connect will have either a A Example: |
|
r_version |
string|null |
The of R interpreter associated with this content. A Example: |
|
py_version |
string|null |
The version of Python associated with this content. A Example: |
|
quarto_version |
string|null |
The version of Quarto associated with this content. A Example: |
|
node_version |
string|null |
The version of Node.js associated with this content. A Example: |
|
r_environment_management |
boolean|null |
Indicates whether or not Connect is managing an R environment and has installed the required packages for this content. A Example: |
|
default_r_environment_management |
boolean|null |
Indicates whether or not Connect should create and manage an R environment (installing required packages) for this content. When A This value is ignored if the server setting Example: |
|
py_environment_management |
boolean|null |
Indicates whether or not Connect is managing a Python environment and has installed the required packages for this content. A Example: |
|
default_py_environment_management |
boolean|null |
Indicates whether or not Connect should create and manage a Python environment (installing required packages) for this content. When A This value is ignored if the server setting Example: |
|
run_as |
string|null |
The UNIX user that executes this content. When Only administrators can change this value. If Example: |
|
run_as_current_user |
boolean |
Indicates that Connect should run processes for this content item under the Unix account of the user who visits it. Content accessed anonymously will continue to run as the specified Connect must be configured to use PAM authentication with the server settings This setting only applies to application content types (Shiny, Dash, Streamlit, Bokeh, and Panel). Only administrators can change this value. Example: |
|
metrics_collection_enabled |
boolean|null |
Controls whether per-job resource metrics (CPU, memory, connections) | are collected for this content item. | | When null, the content item inherits the server-wide default from | Applications.MetricsCollectionEnabled. Explicit true or false | values override the server default. | | Metrics can be retrieved via the | GET /v1/content/{guid}/jobs/{key}/metrics endpoint. | Example: true. | |
|
notify_on_share |
boolean|null |
Controls whether email notifications are sent by default when users or groups are added as collaborators or viewers. When Example: |
|
trace_collection_enabled |
boolean |
Whether per-job OpenTelemetry traces are collected for this content item. Traces are collected only when both this field and the server setting Example: |
|
owner_guid |
string (uuid) |
The unique identifier of the user who created this content item. Automatically assigned when the content is created. Example: |
|
content_url |
string |
The URL associated with this content. Computed from the associated GUID for this content. Example: |
|
dashboard_url |
string |
The URL within the Connect dashboard where this content can be configured. Computed from the GUID for this content. Example: |
|
vanity_url |
string |
The vanity URL associated with this content item. Included in responses when the vanity URL is set and Example: |
|
app_role |
string |
The relationship of the accessing user to this content. A value of Example: |
|
bookmarked |
boolean|null |
Indicates whether the requesting user has bookmarked this content item. Included in responses when Example: |
|
schedules |
[object] |
Schedules associated with this content item. Included in responses when include=schedule is provided. |
|
schedules[].type |
string |
The schedule type. Example: |
|
schedules[].schedule |
object |
The recurrence rule in RFC5545 format. | |
schedules[].schedule.dtstart |
string |
The DTSTART component specifying when the schedule begins, including timezone information. Example: |
|
schedules[].schedule.rrules |
[string] |
An array of RRULE components defining the recurrence pattern. Example: |
|
schedules[].schedule.until |
string |
The UNTIL component specifying when the schedule ends, if applicable. Example: |
|
schedules[].next_run |
string (date-time)|null |
The next scheduled run time. Null if no future runs are scheduled. | |
schedules[].email |
boolean |
Whether email notifications are enabled for this schedule. Example: |
|
schedules[].timezone |
string |
The timezone for this schedule. Example: |
|
schedules[].start_time |
string (date-time)|null |
The start time of the schedule window. | |
schedules[].end_time |
string (date-time)|null |
The end time of the schedule window. Null if the schedule runs indefinitely. | |
schedules[].last_run |
object |
Information about the last scheduled run. | |
schedules[].last_run.job_key |
string |
The unique key of the job. Example: |
|
schedules[].last_run.status |
string |
The status of the last run. Example: |
|
schedules[].last_run.scheduled_time |
string (date-time)|null |
The scheduled time of the run. | |
schedules[].last_run.queued_time |
string (date-time)|null |
The time the run was queued. | |
schedules[].last_run.start_time |
string (date-time) |
The time the run started. | |
schedules[].last_run.end_time |
string (date-time)|null |
The time the run ended. Null if still running. | |
schedules[].last_run.run_duration_ms |
integer|null |
The duration of the run in milliseconds. Null if still running. Example: |
|
schedules[].last_run.exit_code |
integer|null |
The exit code of the job. Null if still running. Example: |
|
schedules[].variant |
object |
Variant information embedded in a schedule. | |
schedules[].variant.key |
string |
The variant key. Example: |
|
schedules[].variant.name |
string |
The variant name. Example: |
|
schedules[].variant.is_default |
boolean |
Whether this is the default variant. Example: |
|
id |
string |
The internal numeric identifier of this content item. Example: |
|
tags |
[object] |
Tags associated with this content item. Included in responses when include=tags is provided. Returns an empty array when content has no tags. |
|
tags[].id |
string |
The identifier for the tag. Example: |
|
tags[].name |
string |
The name of the tag. Example: |
|
tags[].parent_id |
string|null |
The identifier for the parent tag. If there is no parent_id, the tag is a top-level tag. Example: |
|
tags[].created_time |
string (date-time) |
The timestamp (RFC3339) indicating when the tag was created. Example: |
|
tags[].updated_time |
string (date-time) |
The timestamp (RFC3339) indicating when the tag was updated. Example: |
|
owner |
object |
Basic details about the owner of this content item. Included in responses when include=owner is provided. |
|
owner.guid |
string (uuid) |
The owner’s unique identifier. Example: |
|
owner.username |
string|null |
The owner’s username. Example: |
|
owner.first_name |
string|null |
The owner’s first name. Example: |
|
owner.last_name |
string|null |
The owner’s last name. Example: |
|
public_content_status |
string|null |
Validation status of public interactive content. When validation is required by licensing, this will be one of “ok”, “warning”, or “restricted”. If licensing does not require validation, it will be “unrestricted”; if licensing does not allow public interactive content, it will be “unlicensed”. If the app has not been made public, but public content is permitted, it will be “none”. Example: |
|
400: The requested operation is invalid.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
401: The requested operation requires authentication.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
403: You do not have permission to perform this operation.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
404: The requested object does not exist.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
500: A server error occurred.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
Get content details
GET /v1/content/{guid}
Get detailed information about a specific content item.
Unauthenticated clients are rejected regardless of the content access type.
Authorized, non-administrator clients without viewership rights to this content are rejected.
Authorized, administrator clients without viewership rights are permitted to obtain information about this content. The computed app_role for these users will be none, representing that these users cannot view the content itself.
Authorized clients with viewership (or collaborator) rights are permitted to obtain information about this content. The computed app_role for these users will reflect the level of access.
Information about the target environment is populated for users with “publisher” and “administrator” role; it is suppressed for viewers.
Parameters
Path parameters
| Name | Type | Description |
|---|---|---|
guid |
string (uuid) |
Required. |
Query parameters
| Name | Type | Description |
|---|---|---|
include |
string |
Comma-separated set of values indicating additional details to include in the response.
|
Responses
200: Successful response.
The content object models all the “things” you may deploy to Posit Connect. This includes Shiny applications, R Markdown documents, Jupyter notebooks, Plumber APIs, FastAPI and Flask APIs, Python apps, plots, and pins.
Name
|
Type
|
DescriptionThe unique identifier of this content item. Example: |
|
name |
string |
A simple identifier. Allows alpha-numeric characters, periods ( Example: |
|
title |
string|null |
The title of this content. Example: |
|
description |
string |
A rich description of this content. Example: |
|
access_type |
string |
Access type describes how this content manages its viewers. The value Access types may be restricted by the Connect configuration or the product license. Example: |
|
locked |
boolean |
Whether or not the content is locked. Example: |
|
locked_message |
string |
A custom message that is displayed by the content item when locked. It is possible to format this message using Markdown. Example: |
|
connection_timeout |
integer|null |
Maximum number of seconds allowed without data sent or received across a client connection. A value of Example: |
|
read_timeout |
integer|null |
Maximum number of seconds allowed without data received from a client connection. A value of Example: |
|
init_timeout |
integer|null |
The maximum number of seconds allowed for an interactive application to start. Posit Connect must be able to connect to a newly launched application before this threshold has elapsed. When Example: |
|
idle_timeout |
integer|null |
The maximum number of seconds a worker process for an interactive application to remain alive after it goes idle (no active connections). When Example: |
|
max_processes |
integer|null |
Specifies the total number of concurrent processes allowed for a single interactive application per Posit Connect node. When Example: |
|
min_processes |
integer|null |
Specifies the minimum number of concurrent processes allowed for a single interactive application per Posit Connect node. When Example: |
|
max_conns_per_process |
integer|null |
Specifies the maximum number of client connections allowed to an individual process. Incoming connections which will exceed this limit are routed to a new process or rejected. When Example: |
|
load_factor |
number|null |
Controls how aggressively new processes are spawned. When Example: |
|
memory_request |
integer|null |
The minimum amount of RAM this content needs when executing or rendering, expressed in bytes. This is used when running in an off-host execution configuration to determine where the content should be run. When Example: |
|
memory_limit |
integer|null |
The maximum amount of RAM this content will be allowed to consume when executing or rendering, expressed in bytes. If the process tries to use more memory than allowed, it will be terminated. When Example: |
|
cpu_request |
number|null |
The minimum amount of compute power this content needs when executing or rendering, expressed in “CPU Units”, where 1.0 unit is equivalent to 1 physical or virtual core. Fractional values are allowed. This is used when running in an off-host execution configuration to determine where the content should be run. When Example: |
|
cpu_limit |
number|null |
The maximum amount of compute power this content will be allowed to consume when executing or rendering, expressed in “CPU Units”, where 1.0 unit is equivalent to 1 physical or virtual core. Fractional values are allowed. This is used when running in an off-host execution configuration. If the process tries to use more CPU than allowed, it will be throttled. When Example: |
|
amd_gpu_limit |
integer|null |
The number of AMD GPUs that will be allocated by Kubernetes to run this content. This is used when running in an off-host execution configuration. When Example: |
|
nvidia_gpu_limit |
integer|null |
The number of NVIDIA GPUs that will be allocated by Kubernetes to run this content. This is used when running in an off-host execution configuration. When Example: |
|
service_account_name |
string|null |
The name of the Kubernetes service account that is used to run a particular piece of content. It must adhere to valid Kubernetes service account naming rules. Connect must be configured to run with If this value is defined and Connect is configured with Only administrators and publishers can view this value. Only administrators can set or change this value. Example: |
|
default_image_name |
string|null |
The default image that will be used when none is defined by the bundle’s manifest. A specific image may be selected by setting the If either A Use the Example: |
|
default_environment_guid |
string (uuid)|null |
The default execution environment that will be used when none is defined by the bundle’s manifest. A specific execution environment may be selected by setting the If either A Use the Example: |
|
created_time |
string (date-time) |
The timestamp (RFC3339) indicating when this content was created. Example: |
|
last_deployed_time |
string (date-time) |
The timestamp (RFC3339) indicating when this content last had a successful bundle deployment performed. Example: |
|
bundle_id |
string|null |
The identifier for the active deployment bundle. Automatically assigned upon the successful deployment of that bundle. Example: |
|
app_mode |
string |
The runtime model for this content. Has a value of Valid values are:
Example: |
|
content_category |
string |
Describes the specialization of the content runtime model. | Automatically assigned upon the first successful bundle deployment. | | The content_category field refines the type of content specified by | app_mode. It is empty by default. The rsconnect R package may assign | a value when analyzing your content and building its manifest and | bundle. Plots (images created in the RStudio IDE and presented in the | “Plots” pane) have an app_mode of static and receive a | content_category of plot to distinguish them from other HTML | documents. Pinned static data sets have an app_mode of static and a | content_category of pin. Multi-document R Markdown sites have an | app_mode of rmd-static and a content_category of site. | API content types (such as FastAPI, Flask, or Plumber) that serve as | MCP servers have a content_category of mcp. The mcp category is | auto-detected on first deploy but can also be set or cleared via | PATCH /v1/content/{guid}. | | Example: site. | |
|
parameterized |
boolean |
True when R Markdown rendered content allows parameter configuration. Automatically assigned upon the first successful bundle deployment. Applies only to content with an Example: |
|
environment_guid |
string (uuid)|null |
The guid of the execution environment used to run this content. Content running locally on the same server as Connect will have either a A Example: |
|
cluster_name |
string|null |
The location where this content runs. Content running on the same server as Connect will have either a A Example: |
|
image_name |
string|null |
The name of the container image used to run this content in containerized environments such as Kubernetes. Content running locally on the same server as Connect will have either a A Example: |
|
r_version |
string|null |
The of R interpreter associated with this content. A Example: |
|
py_version |
string|null |
The version of Python associated with this content. A Example: |
|
quarto_version |
string|null |
The version of Quarto associated with this content. A Example: |
|
node_version |
string|null |
The version of Node.js associated with this content. A Example: |
|
r_environment_management |
boolean|null |
Indicates whether or not Connect is managing an R environment and has installed the required packages for this content. A Example: |
|
default_r_environment_management |
boolean|null |
Indicates whether or not Connect should create and manage an R environment (installing required packages) for this content. When A This value is ignored if the server setting Example: |
|
py_environment_management |
boolean|null |
Indicates whether or not Connect is managing a Python environment and has installed the required packages for this content. A Example: |
|
default_py_environment_management |
boolean|null |
Indicates whether or not Connect should create and manage a Python environment (installing required packages) for this content. When A This value is ignored if the server setting Example: |
|
run_as |
string|null |
The UNIX user that executes this content. When Only administrators can change this value. If Example: |
|
run_as_current_user |
boolean |
Indicates that Connect should run processes for this content item under the Unix account of the user who visits it. Content accessed anonymously will continue to run as the specified Connect must be configured to use PAM authentication with the server settings This setting only applies to application content types (Shiny, Dash, Streamlit, Bokeh, and Panel). Only administrators can change this value. Example: |
|
metrics_collection_enabled |
boolean|null |
Controls whether per-job resource metrics (CPU, memory, connections) | are collected for this content item. | | When null, the content item inherits the server-wide default from | Applications.MetricsCollectionEnabled. Explicit true or false | values override the server default. | | Metrics can be retrieved via the | GET /v1/content/{guid}/jobs/{key}/metrics endpoint. | Example: true. | |
|
notify_on_share |
boolean|null |
Controls whether email notifications are sent by default when users or groups are added as collaborators or viewers. When Example: |
|
trace_collection_enabled |
boolean |
Whether per-job OpenTelemetry traces are collected for this content item. Traces are collected only when both this field and the server setting Example: |
|
owner_guid |
string (uuid) |
The unique identifier of the user who created this content item. Automatically assigned when the content is created. Example: |
|
content_url |
string |
The URL associated with this content. Computed from the associated GUID for this content. Example: |
|
dashboard_url |
string |
The URL within the Connect dashboard where this content can be configured. Computed from the GUID for this content. Example: |
|
vanity_url |
string |
The vanity URL associated with this content item. Included in responses when the vanity URL is set and Example: |
|
app_role |
string |
The relationship of the accessing user to this content. A value of Example: |
|
bookmarked |
boolean|null |
Indicates whether the requesting user has bookmarked this content item. Included in responses when Example: |
|
schedules |
[object] |
Schedules associated with this content item. Included in responses when include=schedule is provided. |
|
schedules[].type |
string |
The schedule type. Example: |
|
schedules[].schedule |
object |
The recurrence rule in RFC5545 format. | |
schedules[].schedule.dtstart |
string |
The DTSTART component specifying when the schedule begins, including timezone information. Example: |
|
schedules[].schedule.rrules |
[string] |
An array of RRULE components defining the recurrence pattern. Example: |
|
schedules[].schedule.until |
string |
The UNTIL component specifying when the schedule ends, if applicable. Example: |
|
schedules[].next_run |
string (date-time)|null |
The next scheduled run time. Null if no future runs are scheduled. | |
schedules[].email |
boolean |
Whether email notifications are enabled for this schedule. Example: |
|
schedules[].timezone |
string |
The timezone for this schedule. Example: |
|
schedules[].start_time |
string (date-time)|null |
The start time of the schedule window. | |
schedules[].end_time |
string (date-time)|null |
The end time of the schedule window. Null if the schedule runs indefinitely. | |
schedules[].last_run |
object |
Information about the last scheduled run. | |
schedules[].last_run.job_key |
string |
The unique key of the job. Example: |
|
schedules[].last_run.status |
string |
The status of the last run. Example: |
|
schedules[].last_run.scheduled_time |
string (date-time)|null |
The scheduled time of the run. | |
schedules[].last_run.queued_time |
string (date-time)|null |
The time the run was queued. | |
schedules[].last_run.start_time |
string (date-time) |
The time the run started. | |
schedules[].last_run.end_time |
string (date-time)|null |
The time the run ended. Null if still running. | |
schedules[].last_run.run_duration_ms |
integer|null |
The duration of the run in milliseconds. Null if still running. Example: |
|
schedules[].last_run.exit_code |
integer|null |
The exit code of the job. Null if still running. Example: |
|
schedules[].variant |
object |
Variant information embedded in a schedule. | |
schedules[].variant.key |
string |
The variant key. Example: |
|
schedules[].variant.name |
string |
The variant name. Example: |
|
schedules[].variant.is_default |
boolean |
Whether this is the default variant. Example: |
|
id |
string |
The internal numeric identifier of this content item. Example: |
|
tags |
[object] |
Tags associated with this content item. Included in responses when include=tags is provided. Returns an empty array when content has no tags. |
|
tags[].id |
string |
The identifier for the tag. Example: |
|
tags[].name |
string |
The name of the tag. Example: |
|
tags[].parent_id |
string|null |
The identifier for the parent tag. If there is no parent_id, the tag is a top-level tag. Example: |
|
tags[].created_time |
string (date-time) |
The timestamp (RFC3339) indicating when the tag was created. Example: |
|
tags[].updated_time |
string (date-time) |
The timestamp (RFC3339) indicating when the tag was updated. Example: |
|
owner |
object |
Basic details about the owner of this content item. Included in responses when include=owner is provided. |
|
owner.guid |
string (uuid) |
The owner’s unique identifier. Example: |
|
owner.username |
string|null |
The owner’s username. Example: |
|
owner.first_name |
string|null |
The owner’s first name. Example: |
|
owner.last_name |
string|null |
The owner’s last name. Example: |
|
public_content_status |
string|null |
Validation status of public interactive content. When validation is required by licensing, this will be one of “ok”, “warning”, or “restricted”. If licensing does not require validation, it will be “unrestricted”; if licensing does not allow public interactive content, it will be “unlicensed”. If the app has not been made public, but public content is permitted, it will be “none”. Example: |
|
400: The requested operation is invalid.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
401: The requested operation requires authentication.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
404: The requested object does not exist.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
500: A server error occurred.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
Update content
PATCH /v1/content/{guid}
Update fields for a specific content item.
Authenticated access from a user having either “publisher” or “administrator” role is allowed. All other clients are rejected.
Authorized clients with collaborator or administrator rights are permitted to modify content item fields.
Administrators can reassign content ownership by updating the owner_guid field. The new owner must have publisher or administrator rights.
Parameters
| Name | Type | Description |
|---|---|---|
guid |
string (uuid) |
Required. |
Request body
The content fields that can be specified when updating a content item.
| Name | Type | Description |
|---|---|---|
name |
string |
A simple identifier. Allows alpha-numeric characters, periods ( Example: |
title |
string|null |
The title of this content. Example: |
description |
string |
A rich description of this content. Example: |
owner_guid |
string (uuid)|null |
The unique identifier of the user who owns this content item. Can only be changed by an administrator. Example: |
access_type |
string |
Access type describes how this content manages its viewers. The value Access types may be restricted by the Connect configuration or the product license. Enum: |
locked |
boolean|null |
Whether or not the content is locked. Example: |
locked_message |
string|null |
A custom message that is displayed by the content item when locked. It is possible to format this message using Markdown. Example: |
connection_timeout |
integer|null |
Maximum number of seconds allowed without data sent or received across a client connection. A value of Example: |
read_timeout |
integer|null |
Maximum number of seconds allowed without data received from a client connection. A value of Example: |
init_timeout |
integer|null |
The maximum number of seconds allowed for an interactive application to start. Posit Connect must be able to connect to a newly launched application before this threshold has elapsed. When Example: |
idle_timeout |
integer|null |
The maximum number of seconds a worker process for an interactive application to remain alive after it goes idle (no active connections). When Example: |
max_processes |
integer|null |
Specifies the total number of concurrent processes allowed for a single interactive application per Posit Connect node. When Example: |
min_processes |
integer|null |
Specifies the minimum number of concurrent processes allowed for a single interactive application per Posit Connect node. When Example: |
max_conns_per_process |
integer|null |
Specifies the maximum number of client connections allowed to an individual process. Incoming connections which will exceed this limit are routed to a new process or rejected. When Example: |
load_factor |
number|null |
Controls how aggressively new processes are spawned. When Example: |
default_r_environment_management |
boolean|null |
Indicates whether or not Connect should create and manage an R environment (installing required packages) for this content. When Example: |
default_py_environment_management |
boolean|null |
Indicates whether or not Connect should create and manage a Python environment (installing required packages) for this content. When Example: |
run_as |
string|null |
The UNIX user that executes this content. When Example: |
run_as_current_user |
boolean|null |
Indicates that Connect should run processes for this content item under the Unix account of the user who visits it. Content accessed anonymously will continue to run as the specified Example: |
memory_request |
integer|null |
The minimum amount of RAM this content needs when executing or rendering, expressed in bytes. When Example: |
memory_limit |
integer|null |
The maximum amount of RAM this content will be allowed to consume when executing or rendering, expressed in bytes. When Example: |
cpu_request |
number|null |
The minimum amount of compute power this content needs when executing or rendering, expressed in CPU Units, where 1.0 unit is equivalent to 1 physical or virtual core. Fractional values are allowed. When Example: |
cpu_limit |
number|null |
The maximum amount of compute power this content will be allowed to consume when executing or rendering, expressed in CPU Units. When Example: |
amd_gpu_limit |
integer|null |
The number of AMD GPUs allocated to run this content. When Example: |
nvidia_gpu_limit |
integer|null |
The number of NVIDIA GPUs allocated to run this content. When Example: |
service_account_name |
string|null |
The name of the Kubernetes service account used to run this content. Example: |
default_image_name |
string|null |
The default container image used when none is defined by the bundle’s manifest. Example: |
default_environment_guid |
string (uuid)|null |
The default execution environment used when none is defined by the bundle’s manifest. Example: |
metrics_collection_enabled |
boolean|null |
Controls whether per-job resource metrics are collected for this content item. When Example: |
notify_on_share |
boolean|null |
Controls whether email notifications are sent by default when users or groups are added as collaborators or viewers. When Example: |
trace_collection_enabled |
boolean|null |
Controls whether per-job OpenTelemetry traces are collected for this content item. When Example: |
content_category |
string|null |
The Example: |
Responses
200: Successful response.
The content object models all the “things” you may deploy to Posit Connect. This includes Shiny applications, R Markdown documents, Jupyter notebooks, Plumber APIs, FastAPI and Flask APIs, Python apps, plots, and pins.
Name
|
Type
|
DescriptionThe unique identifier of this content item. Example: |
|
name |
string |
A simple identifier. Allows alpha-numeric characters, periods ( Example: |
|
title |
string|null |
The title of this content. Example: |
|
description |
string |
A rich description of this content. Example: |
|
access_type |
string |
Access type describes how this content manages its viewers. The value Access types may be restricted by the Connect configuration or the product license. Example: |
|
locked |
boolean |
Whether or not the content is locked. Example: |
|
locked_message |
string |
A custom message that is displayed by the content item when locked. It is possible to format this message using Markdown. Example: |
|
connection_timeout |
integer|null |
Maximum number of seconds allowed without data sent or received across a client connection. A value of Example: |
|
read_timeout |
integer|null |
Maximum number of seconds allowed without data received from a client connection. A value of Example: |
|
init_timeout |
integer|null |
The maximum number of seconds allowed for an interactive application to start. Posit Connect must be able to connect to a newly launched application before this threshold has elapsed. When Example: |
|
idle_timeout |
integer|null |
The maximum number of seconds a worker process for an interactive application to remain alive after it goes idle (no active connections). When Example: |
|
max_processes |
integer|null |
Specifies the total number of concurrent processes allowed for a single interactive application per Posit Connect node. When Example: |
|
min_processes |
integer|null |
Specifies the minimum number of concurrent processes allowed for a single interactive application per Posit Connect node. When Example: |
|
max_conns_per_process |
integer|null |
Specifies the maximum number of client connections allowed to an individual process. Incoming connections which will exceed this limit are routed to a new process or rejected. When Example: |
|
load_factor |
number|null |
Controls how aggressively new processes are spawned. When Example: |
|
memory_request |
integer|null |
The minimum amount of RAM this content needs when executing or rendering, expressed in bytes. This is used when running in an off-host execution configuration to determine where the content should be run. When Example: |
|
memory_limit |
integer|null |
The maximum amount of RAM this content will be allowed to consume when executing or rendering, expressed in bytes. If the process tries to use more memory than allowed, it will be terminated. When Example: |
|
cpu_request |
number|null |
The minimum amount of compute power this content needs when executing or rendering, expressed in “CPU Units”, where 1.0 unit is equivalent to 1 physical or virtual core. Fractional values are allowed. This is used when running in an off-host execution configuration to determine where the content should be run. When Example: |
|
cpu_limit |
number|null |
The maximum amount of compute power this content will be allowed to consume when executing or rendering, expressed in “CPU Units”, where 1.0 unit is equivalent to 1 physical or virtual core. Fractional values are allowed. This is used when running in an off-host execution configuration. If the process tries to use more CPU than allowed, it will be throttled. When Example: |
|
amd_gpu_limit |
integer|null |
The number of AMD GPUs that will be allocated by Kubernetes to run this content. This is used when running in an off-host execution configuration. When Example: |
|
nvidia_gpu_limit |
integer|null |
The number of NVIDIA GPUs that will be allocated by Kubernetes to run this content. This is used when running in an off-host execution configuration. When Example: |
|
service_account_name |
string|null |
The name of the Kubernetes service account that is used to run a particular piece of content. It must adhere to valid Kubernetes service account naming rules. Connect must be configured to run with If this value is defined and Connect is configured with Only administrators and publishers can view this value. Only administrators can set or change this value. Example: |
|
default_image_name |
string|null |
The default image that will be used when none is defined by the bundle’s manifest. A specific image may be selected by setting the If either A Use the Example: |
|
default_environment_guid |
string (uuid)|null |
The default execution environment that will be used when none is defined by the bundle’s manifest. A specific execution environment may be selected by setting the If either A Use the Example: |
|
created_time |
string (date-time) |
The timestamp (RFC3339) indicating when this content was created. Example: |
|
last_deployed_time |
string (date-time) |
The timestamp (RFC3339) indicating when this content last had a successful bundle deployment performed. Example: |
|
bundle_id |
string|null |
The identifier for the active deployment bundle. Automatically assigned upon the successful deployment of that bundle. Example: |
|
app_mode |
string |
The runtime model for this content. Has a value of Valid values are:
Example: |
|
content_category |
string |
Describes the specialization of the content runtime model. | Automatically assigned upon the first successful bundle deployment. | | The content_category field refines the type of content specified by | app_mode. It is empty by default. The rsconnect R package may assign | a value when analyzing your content and building its manifest and | bundle. Plots (images created in the RStudio IDE and presented in the | “Plots” pane) have an app_mode of static and receive a | content_category of plot to distinguish them from other HTML | documents. Pinned static data sets have an app_mode of static and a | content_category of pin. Multi-document R Markdown sites have an | app_mode of rmd-static and a content_category of site. | API content types (such as FastAPI, Flask, or Plumber) that serve as | MCP servers have a content_category of mcp. The mcp category is | auto-detected on first deploy but can also be set or cleared via | PATCH /v1/content/{guid}. | | Example: site. | |
|
parameterized |
boolean |
True when R Markdown rendered content allows parameter configuration. Automatically assigned upon the first successful bundle deployment. Applies only to content with an Example: |
|
environment_guid |
string (uuid)|null |
The guid of the execution environment used to run this content. Content running locally on the same server as Connect will have either a A Example: |
|
cluster_name |
string|null |
The location where this content runs. Content running on the same server as Connect will have either a A Example: |
|
image_name |
string|null |
The name of the container image used to run this content in containerized environments such as Kubernetes. Content running locally on the same server as Connect will have either a A Example: |
|
r_version |
string|null |
The of R interpreter associated with this content. A Example: |
|
py_version |
string|null |
The version of Python associated with this content. A Example: |
|
quarto_version |
string|null |
The version of Quarto associated with this content. A Example: |
|
node_version |
string|null |
The version of Node.js associated with this content. A Example: |
|
r_environment_management |
boolean|null |
Indicates whether or not Connect is managing an R environment and has installed the required packages for this content. A Example: |
|
default_r_environment_management |
boolean|null |
Indicates whether or not Connect should create and manage an R environment (installing required packages) for this content. When A This value is ignored if the server setting Example: |
|
py_environment_management |
boolean|null |
Indicates whether or not Connect is managing a Python environment and has installed the required packages for this content. A Example: |
|
default_py_environment_management |
boolean|null |
Indicates whether or not Connect should create and manage a Python environment (installing required packages) for this content. When A This value is ignored if the server setting Example: |
|
run_as |
string|null |
The UNIX user that executes this content. When Only administrators can change this value. If Example: |
|
run_as_current_user |
boolean |
Indicates that Connect should run processes for this content item under the Unix account of the user who visits it. Content accessed anonymously will continue to run as the specified Connect must be configured to use PAM authentication with the server settings This setting only applies to application content types (Shiny, Dash, Streamlit, Bokeh, and Panel). Only administrators can change this value. Example: |
|
metrics_collection_enabled |
boolean|null |
Controls whether per-job resource metrics (CPU, memory, connections) | are collected for this content item. | | When null, the content item inherits the server-wide default from | Applications.MetricsCollectionEnabled. Explicit true or false | values override the server default. | | Metrics can be retrieved via the | GET /v1/content/{guid}/jobs/{key}/metrics endpoint. | Example: true. | |
|
notify_on_share |
boolean|null |
Controls whether email notifications are sent by default when users or groups are added as collaborators or viewers. When Example: |
|
trace_collection_enabled |
boolean |
Whether per-job OpenTelemetry traces are collected for this content item. Traces are collected only when both this field and the server setting Example: |
|
owner_guid |
string (uuid) |
The unique identifier of the user who created this content item. Automatically assigned when the content is created. Example: |
|
content_url |
string |
The URL associated with this content. Computed from the associated GUID for this content. Example: |
|
dashboard_url |
string |
The URL within the Connect dashboard where this content can be configured. Computed from the GUID for this content. Example: |
|
vanity_url |
string |
The vanity URL associated with this content item. Included in responses when the vanity URL is set and Example: |
|
app_role |
string |
The relationship of the accessing user to this content. A value of Example: |
|
bookmarked |
boolean|null |
Indicates whether the requesting user has bookmarked this content item. Included in responses when Example: |
|
schedules |
[object] |
Schedules associated with this content item. Included in responses when include=schedule is provided. |
|
schedules[].type |
string |
The schedule type. Example: |
|
schedules[].schedule |
object |
The recurrence rule in RFC5545 format. | |
schedules[].schedule.dtstart |
string |
The DTSTART component specifying when the schedule begins, including timezone information. Example: |
|
schedules[].schedule.rrules |
[string] |
An array of RRULE components defining the recurrence pattern. Example: |
|
schedules[].schedule.until |
string |
The UNTIL component specifying when the schedule ends, if applicable. Example: |
|
schedules[].next_run |
string (date-time)|null |
The next scheduled run time. Null if no future runs are scheduled. | |
schedules[].email |
boolean |
Whether email notifications are enabled for this schedule. Example: |
|
schedules[].timezone |
string |
The timezone for this schedule. Example: |
|
schedules[].start_time |
string (date-time)|null |
The start time of the schedule window. | |
schedules[].end_time |
string (date-time)|null |
The end time of the schedule window. Null if the schedule runs indefinitely. | |
schedules[].last_run |
object |
Information about the last scheduled run. | |
schedules[].last_run.job_key |
string |
The unique key of the job. Example: |
|
schedules[].last_run.status |
string |
The status of the last run. Example: |
|
schedules[].last_run.scheduled_time |
string (date-time)|null |
The scheduled time of the run. | |
schedules[].last_run.queued_time |
string (date-time)|null |
The time the run was queued. | |
schedules[].last_run.start_time |
string (date-time) |
The time the run started. | |
schedules[].last_run.end_time |
string (date-time)|null |
The time the run ended. Null if still running. | |
schedules[].last_run.run_duration_ms |
integer|null |
The duration of the run in milliseconds. Null if still running. Example: |
|
schedules[].last_run.exit_code |
integer|null |
The exit code of the job. Null if still running. Example: |
|
schedules[].variant |
object |
Variant information embedded in a schedule. | |
schedules[].variant.key |
string |
The variant key. Example: |
|
schedules[].variant.name |
string |
The variant name. Example: |
|
schedules[].variant.is_default |
boolean |
Whether this is the default variant. Example: |
|
id |
string |
The internal numeric identifier of this content item. Example: |
|
tags |
[object] |
Tags associated with this content item. Included in responses when include=tags is provided. Returns an empty array when content has no tags. |
|
tags[].id |
string |
The identifier for the tag. Example: |
|
tags[].name |
string |
The name of the tag. Example: |
|
tags[].parent_id |
string|null |
The identifier for the parent tag. If there is no parent_id, the tag is a top-level tag. Example: |
|
tags[].created_time |
string (date-time) |
The timestamp (RFC3339) indicating when the tag was created. Example: |
|
tags[].updated_time |
string (date-time) |
The timestamp (RFC3339) indicating when the tag was updated. Example: |
|
owner |
object |
Basic details about the owner of this content item. Included in responses when include=owner is provided. |
|
owner.guid |
string (uuid) |
The owner’s unique identifier. Example: |
|
owner.username |
string|null |
The owner’s username. Example: |
|
owner.first_name |
string|null |
The owner’s first name. Example: |
|
owner.last_name |
string|null |
The owner’s last name. Example: |
|
public_content_status |
string|null |
Validation status of public interactive content. When validation is required by licensing, this will be one of “ok”, “warning”, or “restricted”. If licensing does not require validation, it will be “unrestricted”; if licensing does not allow public interactive content, it will be “unlicensed”. If the app has not been made public, but public content is permitted, it will be “none”. Example: |
|
400: The requested operation is invalid.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
401: The requested operation requires authentication.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
403: You do not have permission to perform this operation.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
404: The requested object does not exist.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
500: A server error occurred.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
Delete content
DELETE /v1/content/{guid}
Delete a specific content item. On-disk data and database records are removed.
Parameters
| Name | Type | Description |
|---|---|---|
guid |
string (uuid) |
Required. |
Responses
204: Successful response.
400: The requested operation is invalid.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
401: The requested operation requires authentication.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
404: The requested object does not exist.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
500: A server error occurred.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
Triggers a Public Access Content Verification test
POST /v1/content/{guid}/access-test
Trigger a Public Access Content Verification test for this content item.
Checks if a content item is available and reachable on the public internet. If not, the result includes a message to help with troubleshooting. The verification process is identical to the test Connect performs automatically for all Public Access Content, but the API can provide more details about verification failures or immediately retest an item instead of waiting for the automatic verification to run.
See the Admin Guide and User Guide for more information about Public Access Content Verification.
To use this API, you must have a license with the Public Access entitlement, the content item must be interactive (e.g. Shiny applications, FastAPI APIs), and the content item must be configured with the “Anyone - no login required”/all access type.
Parameters
| Name | Type | Description |
|---|---|---|
guid |
string (uuid) |
Required. |
Responses
200: Successful response.
The results of the public access content verification test.
| Name | Type | Description |
|---|---|---|
guid |
string (uuid) |
The unique identifier of this content item. Example: |
url |
string |
The URL that was used to test access to this content. Computed from the associated GUID for this content or the optional vanity URL. Example: |
checked_at |
string (date-time) |
The timestamp (RFC3339) indicating when the access test was performed. Example: |
accessible |
boolean |
Indicates whether or not the test was able to access the content item on the public internet. Example: |
message |
string |
An optional informational message with extra details about the test result. See the Admin Guide for additional guidance about specific messages. Example: |
400: The requested operation is invalid.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
401: The requested operation requires authentication.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
403: You do not have permission to perform this operation.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
404: The requested object does not exist.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
500: A server error occurred.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
Build deployment bundle
POST /v1/content/{guid}/build
Build (restore) a deployment bundle.
Build requests spawn an asynchronous task to make your previously uploaded data ready for rendering or running. Content will have its environment reconstructed, e.g. by using the packrat R package to install R package dependencies, but documents will not be re-rendered.
Building is intended to facilitate server changes or migrations that may require re-installing R packages or other dependencies.
By default, the built bundle becomes the active bundle for the content. You can prevent this by setting activate: false in the request body. This allows you to build a bundle without making it the active version.
The response from this endpoint includes a task identifier. Poll the GET /v1/tasks/{id} endpoint to track the progress of this task.
Parameters
| Name | Type | Description |
|---|---|---|
guid |
string (uuid) |
Required. |
Request body
Optionally identifies the target build bundle.
| Name | Type | Description |
|---|---|---|
bundle_id |
string|null |
The identifier of the bundle to build. If not provided, the most recently uploaded bundle is built. |
activate |
boolean|null |
Whether the built bundle should be activated after building. Defaults to true. |
Responses
200: Successful response.
Identifies the task that can be used to track the progress of a build operation.
| Name | Type | Description |
|---|---|---|
task_id |
string |
Identifier for the created build task. Example: |
400: The requested operation is invalid.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
401: The requested operation requires authentication.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
404: The requested object does not exist.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
500: A server error occurred.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
Deploy deployment bundle
POST /v1/content/{guid}/deploy
Deploy (activate) a deployment bundle.
Deployment requests spawn an asynchronous task to make your previously uploaded data available for serving. The workflow applied to the bundled files varies depending on the type of content.
Executable content has its environment reconstructed. This includes using the packrat R package to install R package dependencies.
Documents (R Markdown reports, Jupyter Notebooks, static Quarto content) are rendered and the result made available.
Interactive content (applications and APIs) are available to be launched on the next client visit.
The deployment workflow for static content (HTML, plots) is lighter-weight than for executable content. File time-stamps are updated to ensure that browsers do not cache previous results and instead see the newly promoted files.
By default, the deployed bundle becomes the active bundle for the content. You can prevent this by setting activate: false in the request body. This allows you to deploy a bundle without making it the active version.
The response from this endpoint includes a task identifier. Poll the GET /v1/tasks/{id} endpoint to track the progress of this task.
Parameters
| Name | Type | Description |
|---|---|---|
guid |
string (uuid) |
Required. |
Request body
Optionally identifies the target deployment bundle.
| Name | Type | Description |
|---|---|---|
bundle_id |
string|null |
The identifier of the bundle to deploy. If not provided, the most recently uploaded bundle is deployed. |
activate |
boolean|null |
Whether the deployed bundle should be activated after deployment. Defaults to true. |
Responses
202: Successful response.
Identifies the task that can be used to track the progress of a deployment operation.
| Name | Type | Description |
|---|---|---|
task_id |
string |
Identifier for the created deployment task. Example: |
400: The requested operation is invalid.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
401: The requested operation requires authentication.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
404: The requested object does not exist.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
500: A server error occurred.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
Get environment variables
GET /v1/content/{guid}/environment
Get the names of the environment variables defined for this content.
Parameters
| Name | Type | Description |
|---|---|---|
guid |
string (uuid) |
Required. |
Responses
200: Successful response.
List of environment variable names, without values.
Array of string
400: The requested operation is invalid.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
401: The requested operation requires authentication.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
404: The requested object does not exist.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
500: A server error occurred.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
Set all environment variables
PUT /v1/content/{guid}/environment
Set the environment for this content item. Any existing environment variables will be removed.
Parameters
| Name | Type | Description |
|---|---|---|
guid |
string (uuid) |
Required. |
Request body
List of environment variables with their values.
Array of objects:
Defines an environment variable and its value.
| Name | Type | Description |
|---|---|---|
name |
string |
Name of the environment variable. Example: |
value |
string|null |
New value of the environment variable. A value of Example: |
Responses
200: Successful response.
List of environment variable names, without values.
Array of string
400: The requested operation is invalid.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
401: The requested operation requires authentication.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
404: The requested object does not exist.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
500: A server error occurred.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
Update environment variables
PATCH /v1/content/{guid}/environment
Add, change, or delete environment variables for this content.
Parameters
| Name | Type | Description |
|---|---|---|
guid |
string (uuid) |
Required. |
Request body
List of environment variables with their values.
Array of objects:
Defines an environment variable and its value.
| Name | Type | Description |
|---|---|---|
name |
string |
Name of the environment variable. Example: |
value |
string|null |
New value of the environment variable. A value of Example: |
Responses
200: Successful response.
List of environment variable names, without values.
Array of string
400: The requested operation is invalid.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
401: The requested operation requires authentication.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
404: The requested object does not exist.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
500: A server error occurred.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
Get Python lockfile
GET /v1/content/{guid}/lockfile
Get the Python lockfile (requirements.txt.lock) for a content item’s active bundle.
This endpoint returns the lockfile that describes the exact Python packages installed in Connect’s managed Python environment for this content. The file can be used to recreate the same Python environment elsewhere.
The content must have a managed Python environment (py_environment_management enabled). Returns an error if the content does not use Python or does not have environment management enabled.
Parameters
| Name | Type | Description |
|---|---|---|
guid |
string (uuid) |
Required. |
Responses
200: Successful response.
400: The requested operation is invalid.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
The specific code for the type of error returned. See the API error codes reference for the full set of values. Required. |
error |
string |
A description of the problem that was encountered. Required. |
payload |
object|null |
Additional error details, if any. The structure varies by error type. |
401: The requested operation requires authentication.
The error object returned by the API on failure.
| Name | Type | Description |
|---|---|---|
code |
integer |
[...]
